Stop! Tickets are now managed at GitHub.

Please enter new tickets, and find and edit existing tickets there:


Ticket #227 (closed task: fixed)

Opened 15 months ago

Last modified 15 months ago

help needed: Error while installing Haskell Platform

Reported by: himanshubdave Owned by: duncan
Priority: major Milestone:
Component: Generic source tarball Keywords:
Cc: hbdave@…

Description

0. Platform: uname -a Linux laptop 3.2.29-smp #2 SMP Mon Sep 17 13:16:43 CDT 2012 i686 Intel(R) Core(TM)2 Duo CPU T6670 @ 2.20GHz GenuineIntel? GNU/Linux

1. I have already installed GHC:

main.hs:

main = do print (reverse [1..10]) $main

[10,9,8,7,6,5,4,3,2,1]

2. haskell-platform-2013.2.0.0$makescripts/build.sh ************************************************** Scanning system for any installed Haskell Platform components...

Found: None.

New packages to install:

HUnit-1.2.5.2 OpenGLRaw-1.3.0.0 GLURaw-1.3.0.0 OpenGL-2.8.0.0 GLUT-2.4.0.0 html-1.0.1.2 parallel-3.2.0.3 primitive-0.5.0.1 random-1.0.1.1 QuickCheck?-2.6 alex-3.0.5 split-0.2.2 stm-2.4.2 async-2.0.1.4 syb-0.4.0 haskell-src-1.0.1.5 text-0.11.3.1 attoparsec-0.10.4.0 hashable-1.1.2.5 case-insensitive-1.0.0.1 transformers-0.3.0.0 mtl-2.1.2 fgl-5.4.2.4 happy-1.18.10 parsec-3.1.3 network-2.4.1.2 HTTP-4000.2.8 regex-base-0.93.2 regex-posix-0.95.2 regex-compat-0.95.1 unordered-containers-0.2.3.0 vector-0.10.0.1 xhtml-3000.2.1 cgi-3001.1.7.5 zlib-0.5.4.1 cabal-install-1.16.0.2 haskell-platform-2013.2.0.0

************************************************** Building HUnit-1.2.5.2 "/usr/local/bin/ghc" "--make" "Setup" "-o" "Setup" "-package" "Cabal-1.16.0" Linking Setup ... "./Setup" "configure" "--package-db=../../packages/package.conf.inplace" "--prefix=/usr/local" "--with-compiler=/usr/local/bin/ghc" "--with-hc-pkg=/usr/local/bin/ghc-pkg" "--with-hsc2hs=/usr/local/bin/hsc2hs" "--enable-library-profiling" "--ghc-pkg-option=--package-conf=../../packages/package.conf.inplace" Configuring HUnit-1.2.5.2... Setup: Use of GHC's environment variable GHC_PACKAGE_PATH is incompatible with Cabal. Use the flag --package-db to specify a package database (it can be used multiple times).

Error: Configuring the HUnit-1.2.5.2 package failed make: *** [build.stamp] Error 2


I am unable to locate the source of the error. Request help.

Change History

Changed 15 months ago by svenpanne

This is a known (but somehow ignored) bug/incompatiblity in the HP, for a simple solution see http://ghc.haskell.org/trac/ghc/ticket/7949.

Changed 15 months ago by himanshubdave

  • cc hbdave@… added
  • status changed from new to closed
  • resolution set to fixed

That worked! Thanks a lot for a quick response.

Note: See TracTickets for help on using tickets.